import React, {Component} from 'react'

import avatar from '@/assets/img/avatar.jpg'
import MainLogo from '@/assets/img/main-logo.png'
import './index.scss'

class Header extends Component {
  state = {
    userName: sessionStorage.getItem('CloudUserName'),
    avatar: sessionStorage.getItem('CloudAvatar') || avatar,
  }

  exitManage = () => {
    window.close()
  }

  UNSAFE_componentWillMount () {

  }

  /**
   * @description 组件销毁，清除state更新
   */
  componentWillUnmount () {
    this.setState = () => {
      return
    }
  }

  render () {
    return (
      <header className="sys-header-container ant-menu-dark">
        <div className="header-logo"><img src={MainLogo} alt=""/></div>
        <div className="title">HS</div>
        <div className="header-setting">
          <img src={this.state.avatar} alt=""/>
          <span>
            <span className="username">{this.state.userName}</span>
          </span>
        </div>
        <div className="close" onClick={() => window.close()}>关闭</div>
      </header>
    )
  }
}

export default Header